@echo off

:START

REM <11以降OneDrive使用でこのケースあり>
IF EXIST "%USERPROFILE%\OneDrive\デスクトップ\." SET desktop=%USERPROFILE%\OneDrive\デスクトップ\■NANS SETUP■
REM <10以降OneDrive使用>
IF EXIST "%USERPROFILE%\OneDrive\Desktop\." SET desktop=%USERPROFILE%\OneDrive\Desktop\■NANS SETUP■
REM <Vista/7/8/10/11>
IF EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\Desktop\■NANS SETUP■
REM <2000/XP>
IF EXIST "%USERPROFILE%\デスクトップ\." SET desktop=%USERPROFILE%\デスクトップ\■NANS SETUP■
cd \
cd %desktop%

ECHO ###　NANS21V　セットアップ処理　開始 ###
ECHO.

:STEP01
ECHO ＜STEP1：インストール《前》処理＞
ECHO 　現在の設定ファイルが「C:\ニシ･スポーツ\NANS21V\$Settings.tmp」に退避され、
ECHO 　最新版のインストーラーが「C:\バックアップ\Install」にコピーされます。
ECHO.

pause
call scripts\preinst.bat
cls

:STEP02
ECHO ＜STEP2：NANS21V インストール＞
ECHO 　旧バージョンのアンインストール、最新バージョンのインストールを実行します。
ECHO.
ECHO 　※インストーラーの実行許可を確認する画面が表示される場合がありますが、
ECHO 　　必ず「許可」を選択して進めてください。
ECHO.
pause
call scripts\install.bat
cls

:STEP03
ECHO ＜STEP3：インストール《後》処理＞
ECHO 　STEP1で退避した設定ファイルを復帰します。
ECHO.
pause
call scripts\postinst.bat
cls

:END
ECHO ###　NANS21V　セットアップ処理　終了 ###
ECHO.
